//-----------------------------------------------------------------------------
// MK3_2560_TWI_KOM
// Version 1.0
// 20.02.2012 / UB
// "www.Mikrocontroller-4U.de"
// mc-4u(@)t-online.de
//-----------------------------------------------------------------------------
// Fuer das myAVR MK3 Board
// mit ATMega-2560 @ 16MHz
// TWI-Master-Slave definitionen
// TWI-Kommunikation zwischen einem Master und bis zu 8 Slaves
//-----------------------------------------------------------------------------
// das File muss im Ordner
// "myAVR/WinAVR/AVR/Include/UB_MK3_2560/" liegen
//-----------------------------------------------------------------------------
// Belegt : nichts
//-----------------------------------------------------------------------------

// dieses File wird vom TWI_Master UND vom TWI_Slave eingebunden 




//-------------------------------------------------------------------
// TWI-Slave-Grundadresse
// maximal 8 Slaves koennen an einen Master angeschlossen werden
// die TWI-Adresse muss eindeutig im kompletten TWI-Bus sein
// (die Adessen muessen je 2 Bytes auseinanderliegen)
//-------------------------------------------------------------------
typedef enum {
  TWI_Slave1 = 0xE0,
  TWI_Slave2 = 0xE2,
  TWI_Slave3 = 0xE4,
  TWI_Slave4 = 0xE6,
  TWI_Slave5 = 0xE8,
  TWI_Slave6 = 0xEA,
  TWI_Slave7 = 0xEC,
  TWI_Slave8 = 0xEE
}TWI_Slave_ADR_t;


//-----------------------------------------------------
// Einstellung der groesse des internen RAM der Slaves
// hier kann evnt. ein kleinerer Wert
// als 256 eingestellt werden
// z.B. um Speicherplatz zu sparen
//-----------------------------------------------------

#define MAX_TWI_RAM 256   // anzahl der Bytes im RAM fuer Datenaustausch
                          // max groese = 256 (256 -> adr=0...255)





